
From: Hans Reiser <reiser@namesys.com>

This patch exports __pagevec_release and pagevec_lookup_tag.  As it looks like
they are intended to be external symbols.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/swap.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN mm/swap.c~reiser4-export-pagevec-funcs mm/swap.c
--- 25/mm/swap.c~reiser4-export-pagevec-funcs	2004-12-27 00:30:58.111896208 -0800
+++ 25-akpm/mm/swap.c	2004-12-27 00:30:58.114895752 -0800
@@ -258,6 +258,7 @@ void __pagevec_release(struct pagevec *p
 	release_pages(pvec->pages, pagevec_count(pvec), pvec->cold);
 	pagevec_reinit(pvec);
 }
+EXPORT_SYMBOL(__pagevec_release);
 
 /*
  * pagevec_release() for pages which are known to not be on the LRU
@@ -387,7 +388,7 @@ unsigned pagevec_lookup_tag(struct pagev
 					nr_pages, pvec->pages);
 	return pagevec_count(pvec);
 }
-
+EXPORT_SYMBOL(pagevec_lookup_tag);
 
 #ifdef CONFIG_SMP
 /*
_
